Package com.ocient.util

# Class NullRowTransformerFactory

java.lang.Object
com.ocient.util.NullRowTransformerFactory

All Implemented Interfaces:
  `RowTransformerFactory`

public class NullRowTransformerFactory extends Object implements RowTransformerFactory

## Field Summary

Fields
Modifier and Type
Field
Description
`static final NullRowTransformerFactory`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`NullRowTransformerFactory()`

## Method Summary

Modifier and Type
Method
Description
`RowTransformer`
`acquire()`
Acquires and returns a `RowTransformer` instance.
`void`
`release(RowTransformer transformer)`
Releases a `RowTransformer` instance back to the factory.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final NullRowTransformerFactory INSTANCE

## Constructor Details

### NullRowTransformerFactory

public NullRowTransformerFactory()

## Method Details

### acquire

public RowTransformer acquire()
Description copied from interface: `RowTransformerFactory`
Acquires and returns a `RowTransformer` instance.

Specified by:
  `acquire` in interface `RowTransformerFactory`

### release

public void release(RowTransformer transformer)
Description copied from interface: `RowTransformerFactory`
Releases a `RowTransformer` instance back to the factory. This method should be called when the transformer is no longer needed.

Specified by:
  `release` in interface `RowTransformerFactory`
Parameters:
  `transformer` - The non-null `RowTransformer` instance, previously obtained from this factory.